# Function UseOptionsRemoteMethod

- UseOptionsRemoteMethod(
  dataSource: Constructor<
  BaseRemoteMethod<ControlOptions, any, BaseRemoteMethodMetadata>,
  >,
  ): (target: any, propertyKey: string) => void

  #### Parameters

  - dataSource: Constructor<BaseRemoteMethod<ControlOptions, any, BaseRemoteMethodMetadata>>

  #### Returns (target: any, propertyKey: string) => void

  - Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:51